curl --request PUT \
--url https://sandbox.nmbr.co/services/payroll/accounting_code_rules/{accounting_code_rule} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"liability_accounting_code_id": "<id>"
}
'import requests
url = "https://sandbox.nmbr.co/services/payroll/accounting_code_rules/{accounting_code_rule}"
payload = { "liability_accounting_code_id": "<id>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({liability_accounting_code_id: '<id>'})
};
fetch('https://sandbox.nmbr.co/services/payroll/accounting_code_rules/{accounting_code_rule}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<id>",
"object": "accounting_code_rule",
"data": {
"business_entity": {
"id": "<id>",
"object": "business_entity",
"links": {
"self": "/business_entities/<id>"
}
},
"tag_group": {
"id": "<id>",
"object": "tag_group",
"links": {
"self": "/tag_groups/<id>"
}
},
"tag": {
"id": "<id>",
"object": "tag",
"links": {
"self": "/tags/<id>"
}
},
"type": null,
"subtype": null,
"business_preset": null,
"expense_accounting_code": {
"id": "<id>",
"object": "accounting_code",
"links": {
"self": "/accounting_codes/<id>"
}
},
"liability_accounting_code": {
"id": "<id>",
"object": "accounting_code",
"links": {
"self": "/accounting_codes/<id>"
}
},
"created_at": "2026-01-01T00:00:00.000000Z",
"updated_at": "2026-01-01T00:00:00.000000Z"
},
"links": {
"self": "/accounting_code_rules/<id>"
}
}Update an accounting code rule
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
allowance, deduction, earning, employee_benefit, employer_benefit, employer_statutory_withholding, reimbursement, statutory_withholding Response
OK
The unique identifier of the object in Nmbr.
The type of the object in Nmbr ("accounting_code_rule").
Hide child attributes
Hide child attributes
The line item type this rule applies to (e.g. earning, deduction). When combined with subtype, narrows the rule to a specific line item category. Mutually exclusive with business_preset.
255The line item subtype this rule applies to (e.g. wage, salary). Must be accompanied by a type.
255A business preset this rule applies to. Provides the highest specificity match. Mutually exclusive with type and subtype.
The liability accounting code assigned when this rule matches.
The date and time the object was created in Nmbr.
The date and time the object was last updated in Nmbr.

